import React, { useState } from 'react';

let list = []

let QnAadmins = []
let QnAadmin = {}


function AdminQuiz() {


    const [question, setQuestion] = useState('')
    const [choose, setChoose] = useState('')
    const [answer, setAnswer] = useState('')
    const [selectOption, setselectOption] = useState(1)

    const handleChangeQuestion = (event) => {

        QnAadmin['Q'] = event.target.value

        setQuestion(event.target.value)
    }
    const handleChangeChoose = (event) => {

        QnAadmin['Choose'] = event.target.value

        setChoose(event.target.value)
    }
    const handleChangeanswer = (event) => {

        QnAadmin['A'] = event.target.value

        setAnswer(event.target.value)
    }



    function addSelectOption() {
        list.push(
            <div className="input-group">
                <div className="input-group-prepend">
                    <div className="input-group-text">
                        <input type="radio" id={selectOption + 1} name="answer" />
                    </div>
                </div>
                <input type="text" class="form-control" placeholder="보기를 입력하세요" onChange={handleChangeChoose} />
            </div>
        )
        setselectOption(selectOption + 1)
    }

  
    function handleClick() {
        if (!question) {
            alert('문제가 입력되지 않았습니다.')
        }
        else if (!choose) {
            alert('보기가 입력되지 않았습니다.')
        }
        else if (!answer) {
            alert('정답이 입력되지 않았습니다.')
        }
        else {
            console.log(QnAadmin)
            QnAadmins.push(QnAadmin)
            QnAadmin={}
            localStorage.setItem('QnA', JSON.stringify(QnAadmins))
            console.log(QnAadmins)
            alert('입력이 완료되었습니다.')
        }

    }

    // function handleChangeQuestion(){}


    return (
        <div className="" id="Quiz1">
            <h2 className="p-3 border text-center">문제만들기</h2>
            <div className="p-3 borber">
                <div className="p-3 ">
                    <span className="font-weight-bold mr-2 h3">1.</span>
                    <input type="text" className="form-control" onChange={handleChangeQuestion} placeholder="문제를 입력하세요" />
                </div>
                <div className="p-3 ">
                    <div className="input-group">
                        <div className="input-group-prepend">
                            <div className="input-group-text">
                                <input type="radio" id={selectOption} name="answer" />
                            </div>
                        </div>
                        <input type="text" className="form-control" placeholder="보기를 입력하세요" onChange={handleChangeChoose} />
                    </div>
                    {list.map((element) => element)}
                    <button className="btn btn-outline-secondary btn-sm" onClick={addSelectOption}>+</button>
                </div>

                <div className="p-3 ">
                    <span className="font-weight-bold mr-2 h3">정답:</span>
                    <input type="text" onChange={handleChangeanswer} placeholder="정답을 입력하세요" />
                </div>

                <label for="inputLogin" className="d-flex justify-content-center">
                    <button className="mt-4 btn btn-dark" onClick={handleClick}>작성완료</button>
                </label>
            </div>
        </div>
    )
}

export default AdminQuiz
